Bug 192062 - LowPerformance took 20212 ms.
LowPerformance took 20212 ms.
Status: RESOLVED WONTFIX
Product: javaee
Classification: Unclassified
Component: Web Project
7.0
All All
: P4 (vote)
: 7.0
Assigned To: David Konecny
issues@javaee
EXCEPTIONS_REPORT perf-profileme
: PERFORMANCE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-17 16:35 UTC by romilsonpc
Modified: 2011-01-21 01:08 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
nps snapshot (58.26 KB, application/nps)
2010-11-17 16:35 UTC, romilsonpc
Details

Note You need to log in before you can comment on or make changes to this bug.
Description romilsonpc 2010-11-17 16:35:47 UTC
Build: NetBeans IDE 7.0 M2 (Build 201010151251)
VM: Java HotSpot(TM) Client VM, 17.0-b17, Java(TM) SE Runtime Environment, 1.6.0_21-b07
OS: Windows 7
Maximum slowness yet reported was 31296 ms, average is 25754
Comment 1 romilsonpc 2010-11-17 16:35:53 UTC
Created attachment 103040 [details]
nps snapshot
Comment 2 Tomas Zezula 2010-11-18 08:27:15 UTC
Several invocations (~45) of URLMapper.findFileObject() took 10s+ (spent in FileUtil.normalizeFile).
Seems as IO overloaded computer. Probably wontfix.
You can fix it by calling the ProjectClassPathModifier outside EDT (JSFConfigurationPanel). The PCM cannot do anything asynchronously as it's an API (no magic is expected there).
Comment 3 David Konecny 2011-01-21 01:08:56 UTC
> Seems as IO overloaded computer.

I agree with that. Win32 IO native method took 4 seconds to finish.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo